Bug 1264680 - bdist_rpm fails under mock due to wrong hardcoded RPM filename format (patch submitted upstream)
bdist_rpm fails under mock due to wrong hardcoded RPM filename format (patch ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 11:42 EDT by David Ward
Modified: 2017-10-31 11:20 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-31 11:20:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for bdist_rpm to evaluate %{_rpmfilename} (887 bytes, patch)
2015-09-20 11:42 EDT, David Ward
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Python 25187 None None None Never

  None (edit)
Description David Ward 2015-09-20 11:42:49 EDT
Created attachment 1075315 [details]
Patch for bdist_rpm to evaluate %{_rpmfilename}

** This affects all currently supported versions of Fedora, not just Rawhide. **
** This affects all currently supported versions of Red Hat Enterprise Linux. **

bdist_rpm (in python distutils) uses a hard-coded assumption that "%{_rpmfilename}" will evaluate to "%{arch}/%{name}-%{version}-%{release}.%{arch}.rpm". Under mock, the "%{arch}/" directory is dropped from this macro. As a result, bdist_rpm fails under mock when trying to move the built non-source RPM into the "dist" directory.

The attached patch was submitted upstream in issue 25187.
Comment 1 Fedora Admin XMLRPC Client 2016-01-29 08:04:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jan Kurik 2016-02-24 08:46:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:18:04 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Jan Kurik 2017-08-15 02:36:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 5 Petr Viktorin 2017-10-31 11:20:05 EDT
bdist_rpm is quite old and has lots of issues. As you can see from the upstream issue, the upstream doesn't really care about it.

I recommend using pyp2rpm to create setuptools-based RPMs for Fedora.

Closing UPSTREAM as it is tracked in the upstream tracker; we won't be working on this from the Fedora side.

Note You need to log in before you can comment on or make changes to this bug.